cl_split(3)

cl_split3

Split cancel-key or cancel-lock with libcanlock

Usage

#include <libcanlock-3/canlock.h>

cl_hash_version cl_split(char *input, char **klstring);

Possible return values (by version 3.0.0 of libcanlock):
CL_INVALID CL_SHA1 CL_SHA224 CL_SHA256 CL_SHA384 CL_SHA512

Overview

The cl_split() function splits a <c-key> or <c-lock> element according to RFC 8315.

The hash algorithm for <scheme> is extracted and the corresponding ID is returned. If the hash algorithm is not found or not supported, CL_INVALID is returned.

A pointer to the <c-key-string> or <c-lock-string> element respectively is written to klstring on success (points inside the string input and therefore no additional memory is allocated).
NULL is written to klstring on error.

Return value

Hash algorithm ID (CL_INVALID on error).

Releases

4 releases since Debian 10 (Buster); the text changed 3 times.

  1. 10
  2. 11
  3. 12
  4. 13

Authors

Michael Baeuerle
(Based in part on lock_strip_alpha() written by G. J. Andruk for Version 2)

Reporting bugs

Report bugs to <mailto:[email protected]>.

Standards

libcanlock tries to comply with the following standards:

RFC 5537, RFC 6234, RFC 8315

From libcanlock-dev 3.3.1-1 in Debian 13 (Trixie). Parsed by carta from the page's man source.